/**
 * <copyright>
 * </copyright>
 *
 * $Id: FeatureValidator.java,v 1.1 2008-04-01 09:35:23 vmahe Exp $
 */
package orgomg.cwm.objectmodel.core.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.analysis.transformation.ClassifierFeatureMap;
import orgomg.cwm.analysis.transformation.FeatureMap;

import orgomg.cwm.foundation.expressions.FeatureNode;

import orgomg.cwm.objectmodel.core.Classifier;
import orgomg.cwm.objectmodel.core.ScopeKind;

/**
 * A sample validator interface for {@link orgomg.cwm.objectmodel.core.Feature}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface FeatureValidator {
	boolean validate();

	boolean validateOwnerScope(ScopeKind value);
	boolean validateOwner(Classifier value);
	boolean validateFeatureNode(EList<FeatureNode> value);
	boolean validateFeatureMap(EList<FeatureMap> value);
	boolean validateCfMap(EList<ClassifierFeatureMap> value);
}
